Subject: bug#19865: tar-untar-buffer: should honor default-directory

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Feb 2015 21:28:51 +0200

> From: Ivan Shmakov <[email-masked]>
> Date: Sat, 14 Feb 2015 19:12:04 +0000
> 
>  >> And I’d still like to hear why you think that tar-untar-buffer
>  >> /must/ use the value of default-directory local to a buffer /other/
>  >> than the one the user called this command from.
> 
>  > Because it's simpler, and makes the code easier to follow.
> 
> 	My former patch expands the code by a single line; my latter one
> 	adds two more for a comment (while removing one level of nesting
> 	from a fair chunk of the code at the same time.)  How is that
> 	making it any harder to follow?

Length of code is only one factor, insignificant in this case.  Subtle
dependencies between different parts of the code, as well as
overriding the default-directory value, is what complicates things in
this case.

> 	Besides, as I’ve already noted, it does make tar-untar-buffer
> 	more consistent with both the rest of tar-mode.el, /and/ the
> 	rest of Emacs.  I thus believe that a single extra LoC is fully
> 	justified here.

Once again, we disagree, there's no doubt about that.  There's no need
to reiterate things you already wrote, as they have been duly noted.